/*  volumeinfo.h

    Mark Woolrich - FMRIB Image Analysis Group

    Copyright (C) 2002 University of Oxford  */

/*  CCOPYRIGHT  */

#include "fslio/fslio.h"

namespace MISCMATHS {
  
#if !defined(__VolumeInfo_h)
#define __VolumeInfo_h

struct VolumeInfo
{
  // Volume dimensions (no. of voxels):
  int x;
  int y;
  int z;
  int v;
  
  // Voxel dimensions (mm)
  float vx;
  float vy;
  float vz;
  float tr;

  // Intent codes and parameters
  short intent_code;
  float intent_p1;
  float intent_p2;
  float intent_p3;

  FSLIO* miscinfo;
};


#endif

}
